Subject: Re: [bug#78066] [PATCH 0/2] Fix fail2ban build

From: Nicolas Graves <[email-masked]>
Date: Sun, 27 Apr 2025 08:29:34 +0200

I managed to get tests to pass properly with an update and minimal
changes (but a change in the build-system [1], I still have to replace
the install phase to avoid a world-rebuild).  The subject with
fail2ban is that there's also a complete config, and since I'm not a
user, I'm not sure everything will work well there.  But let's update
it, and modify the fail2ban configuration if things have changed there.

See you in a few minutes/hours when I'll send an updated patch series!

[1]: https://lists.gnu.org/archive/html/guix-devel/2025-04/msg00332.html

On 2025-04-26 16:59, Nicolas Graves via Guix-patches via wrote:

> Hi Rodion!
>
> I think the issue with using a different Python version is that I'm not
> sure it behaves well in a profile, since python packages are propagated.
> Maybe the CLI might work well, but importing python modules would
> probably be broken.
>
> If it's only the tests that are broken, maybe it's better to ignore
> failing tests?
>
> Or even better : simply update the package to a more recent version.  I
> get the impression that it should work well from
> https://github.com/fail2ban/fail2ban/releases/tag/1.1.0
>
> I'll see if such an update fixes your issue, if yes I'll send an update
> here.

-- 
Best regards,
Nicolas Graves